Jump to content

Certificate expiration ? 9.0.12017.0


Recommended Posts

We suddenly have a lot of customers complaining about that HIPS is not functional on their  9.0.12017.0 install of Server Security. 
How can we upgrade to V9 latest version or V10 latest version? Without manual interaction of removing the old ESET? 

 

We do get tired of ESET running in certificate issues these last few years. And we as an MSSP have lost users due to that so  that we have to carry an alternative product next to ESET. 

Link to comment
Share on other sites

  • Administrators

We have not received any such reports from users and I have installed EFSW 9.0.12017 on Windows 2012 R2 without issues.

Please provide logs collected with ESET Log Collector.

As for certificate requirements, those are set by Microsoft and it's not something enforced solely by ESET.

Link to comment
Share on other sites

I will ask the team to create a log collector.

 

So the certificate in ESET 6.5 that expired was a microsoft error and not an ESET error (although the ESET statement was that it was ESET). Anyway lets focus to fix this issue.

 

Link to comment
Share on other sites

2 hours ago, Marcos said:

EFSW 6.5 reached EOL in December 2022: https://support-eol.eset.com/en/policy_business/product_tables.html

I was under the impression that you have reported the issue for EFSW 9.0.12017. Please clarify.

Correct it is about version 9, i have sent you the log file via a private message. 

 

I was referring to the certificate expire with previous eset products as it happend before sometimes just overnight. 

Link to comment
Share on other sites

  • Administrators

Thank you, a ticket with your logs has been created for developers. Will keep you posted.

P_EFSW-2747

Link to comment
Share on other sites

  • Administrators

Your EFSW updates from a mirror C:\Program Files (x86)\Port-IT\Vanir Endpoint Client\eset-mirror which contains several outdated modules from 2022. How do you create the mirror? If using the ESET mirror tool, what parameters do you use?

Anti-Stealth support module 1184 (20221130)

Firewall module 1428.1 (20220622)

HIPS support module 1449.2 (20221121)

Internet protection module 1449 (20221014)

Database module 1117 (20220524)

LiveGrid communication module 1131.1 (20221207)

Rootkit detection and cleaning module 1033 (20220916)

Network protection module 1692 (20220715)

Script scanner module 1140 (20221216)

Cryptographic protocol support module 1070 (20220608)

Connected Home Network module 1048 (20220120)

Advanced Machine Learning module 1128 (20221115)

Security Center integration module 1037 (20220602)

Link to comment
Share on other sites

  • Administrators

We've found that you are probably using so-called micro updates with only a limited set of modules that they contain because of the "Port-IT" application for vessels. If that's true, then at least the Update module v1019 from 2019 will need to be updated at least to v1020 from 2020.

Link to comment
Share on other sites

13 hours ago, Marcos said:

We've found that you are probably using so-called micro updates with only a limited set of modules that they contain because of the "Port-IT" application for vessels. If that's true, then at least the Update module v1019 from 2019 will need to be updated at least to v1020 from 2020.

but how to do that ?

Link to comment
Share on other sites

  • Administrators

You can download the module em000k v1020 from https://forum.eset.com/files/file/131-em000k_1020zip/ or get it from another machine that updates from ESET's servers instead of the mirror with micro updates.

In safe mode create the folder "C:\Program Files\ESET\ESET Security\Modules\em000k_64\1024" and copy the 64-bit version (em000k_64.dll) there.

This module will be added to the micro update packages soon so that other machines update it from a mirror.

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...